Subject: Re: [PATCH] igbvf: avoid name clash between PF and VF

From: Casey Leedom <[email-masked]>
Date: Wed, 30 Jun 2010 09:59:36 -0700

| From: Stefan Assmann <[email-masked]>
| Date: Wednesday, June 30, 2010 01:53 am
| 
| This is not a udev bug since udev doesn't create persistent rules for
| VFs as their MAC address changes every reboot.
| 
| To avoid this problem we could change the kernel name for the VFs and
| thus avoid confusion between VFs and PFs.
| 
| I've already discussed this with Alexander Duyck and Greg Rose, so far
| they have no objection. However this problem appears for all drivers that
| support PFs and VFs and thus the changes should be applied consistently
| to all of these drivers.

  I'm not sure that this problem affects "all drivers which support PFs and VFs."  
I think that you might mean "all drivers which support PFs and VFs with non-
persistent MAC addresses for the VFs."  For instance, the MAC addresses 
associated with the new cxgb4vf VFs are persistent so, from what I understand of 
the scenario you outlined, I don't think that they would trigger the problem you 
describe.  Please correct me if I've missed something.  Thanks.

Casey